CadXP: Elévation bizarre - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Elévation bizarre (vraiment bizarre, Autocad 2021 ...)

#1 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 107
  • Inscrit(e) : 04-novembre 05

Posté 22 janvier 2021 - 17:37

Salut à toutes et a tous,
Sur un dessin, j'ai une polyligne qui a une élévation de 5836.45
quand je met l'élévation à 0, elle se déplace en xy ...
je me dis: je ne suis pas dans une vue perpendiculaire.
je vérifie tout ça: je suis bien dans le pt de vue haut.
Je me dis: je suis à 5800 mètres, avec un code géographique, les histoires de géoide ...
je vire le code géographique:
toujours le déplacement en xy.
je me place en point de vue avant: ma polyligne n'est qu'a 0.43 metres du zéro ...
une fois revenu a la vue de dessus, je regarde le z de l'extremité: 0.43 ... mais l'élévation de 5836.45 ...

contrôle du dessin: aucune erreur !
des idées ?
a+
gégé
----------------------------------------------------------------------
Site: https://www.g-eaux.fr
Blog: http://g-eaux.over-blog.com
0

#2 L'utilisateur est hors-ligne   Maxime063 

  • ceinture verte
  • Groupe : Membres
  • Messages : 62
  • Inscrit(e) : 03-juin 20

Posté 22 janvier 2021 - 17:55

Salut GEGE,

Il me semble avoir déjà vue cette situation mais ne sait plus vraiment comment j'ai tourné le truc. Possible d'avoir le dwg avec la polyligne ?
0

#3 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 107
  • Inscrit(e) : 04-novembre 05

Posté 22 janvier 2021 - 18:04

C'est un dxf,
les entités à problème sont sur le calque "gaz"
Dxf verrolé
----------------------------------------------------------------------
Site: https://www.g-eaux.fr
Blog: http://g-eaux.over-blog.com
0

#4 L'utilisateur est hors-ligne   Olivier Eckmann 

  • ceinture noire 3em dan
  • Groupe : Membres
  • Messages : 1 537
  • Inscrit(e) : 29-décembre 11
  • LocationLongjumeau (91)

Posté 22 janvier 2021 - 22:40

Salut Gege,

Elles ont une direction d'extrusion, c'est à dire qu'elle n'ont pas été créées dans un plan horizontal, mais très légèrement incliné
Voilà la résultat de la commande liste


Direction d'extrusion relative au SCU:
X=0.00302364 Y=-0.00002936 Z=0.99999543

En fait elle coulisse le long d'un axe Z quasi vertical mais pas tout à fait. Donc en changeant l'élévation, tu la déplaces légèrement .

Si tu fait un SCU OBJET sur ta poly tu es très légèrement basculé.

Si tu as as un COVADIS sous la main, tu les transformes en poly3D, puis tu les reconvertis en poly 2D (tu auras perdu les arcs qui auront été discrétisés)

Sinon avec un MAP EXPORT en SDF (option SDF 2D), puis un MAPIMPORT tu obtiens des poly2D avec une élévation non nulles, mais bien horizontales.

Olivier
1

#5 L'utilisateur est hors-ligne   Aleck Ultimate 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 267
  • Inscrit(e) : 18-novembre 16
  • LocationAlpes de Hautes Provences (04)

Posté 24 janvier 2021 - 14:35

Salut.

Si tu n'a qu'un AutoCAD basique, tu DECOMPS, tu sélectionne tout les tronçons, dans les propriétés tu passe manuellement les Z de départ et d'arrivée à 0, tu resélectionne tout et JOINDRE. Sur ton dessin les courbes sont des suites de segments droits donc tu n'aura que des lignes après décomposition, si il y avait eu des courbes tu aurait du commencer par segmenter soit les polylignes avant décomposition, soit les arc obtenus. Ou bien fair une conversion en SPligne à moment donné, c'est pas quelque chose que je maitrise.

EDIT : Bon, j'avais pas fait attention en premier lieu que j'avait affaire à un vétéran d'acad et du forum, mais ça pourrait servir à quelqu'un d'autre...
Membre d'Extinction Rebellion, car pour sauver le monde il n'est jamais trop tard, amour et rage !

Pour écrire un vraie point médian (e·x·e·m·p·l·e) [Alt + 0183] ou ajout d'un raccourci clavier personnalisé (ex. [AltGr + ;])

Utilisateur d'AutoCAD 2018 sous Windows 10
0

#6 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 107
  • Inscrit(e) : 04-novembre 05

Posté 25 janvier 2021 - 09:34

Salut et merci à tous les 2,
je n'avais jamais fait attention à cette direction d'extrusion: ça sert a quoi, ça viens de quoi ?
a+
Gégé
----------------------------------------------------------------------
Site: https://www.g-eaux.fr
Blog: http://g-eaux.over-blog.com
0

#7 L'utilisateur est hors-ligne   Aleck Ultimate 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 267
  • Inscrit(e) : 18-novembre 16
  • LocationAlpes de Hautes Provences (04)

Posté 25 janvier 2021 - 10:17

C'est une technique que j'utilise régulièrement quant je doit créer une forme sur un plan non parallèle au SCG car des poly3D peuvent ne pas marcher avec certaines commandes comme LISSAGE ou REVOLUTION. Je crée un SCU particulier et je dessine un poly 2D selon ce SCU. Le Z de la polyligne restera toujours celui du SCU selon lequel elle a été crée (dit autrement, l'extrusion d'une polyligne ne peut se faire que perpendiculairement au plan dans lequel elle a été crée, à mon avis pour des questions de collision, d'où l'imposibilité si un point d'une poly3D a un Z différent d'un micron des autres point). Dans ton cas, si il y a du géoréférencement, je suppose que ça a été fait dans une optique de rester le plus parallèle que possible au terrain ?
Membre d'Extinction Rebellion, car pour sauver le monde il n'est jamais trop tard, amour et rage !

Pour écrire un vraie point médian (e·x·e·m·p·l·e) [Alt + 0183] ou ajout d'un raccourci clavier personnalisé (ex. [AltGr + ;])

Utilisateur d'AutoCAD 2018 sous Windows 10
0

#8 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 107
  • Inscrit(e) : 04-novembre 05

Posté 25 janvier 2021 - 10:44

D'accord, c'est simplement ça,
je n'avais jamais pensé à ce comportement !
donc cette polyligne a été créée dans un plan située à -5000, et remontée au niveau a peu près 0 en jouant sur l'élévation ...
drôle de truc ...
a+
gégé
----------------------------------------------------------------------
Site: https://www.g-eaux.fr
Blog: http://g-eaux.over-blog.com
0

#9 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 447
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 25 janvier 2021 - 13:53

Hello Gege

Voici la reponse que j avais fais en 2018 a un Cabinet de Geometre,
suite a la reception dun DWG provenant de MicoStation
avec des Blocs ayant une direction d'extrusion ANORMALE !

Good Luck, LA SANTE, Bye, lecrabe

<<< Message >>>
BON j'ai UN PEU etudie votre souci ! ... Et la seule chose que je peux faire, c vous fournir une ligne de Lisp
qui permette de selectionner Vos Blocs speciaux (Ceux qui ont la propriete qui perturbe votre Traitement)

En principe les Blocs NORMAUX ont cette propriete DXF : (210 0.0 0.0 1.0)

Et certains Blocs ANORMAUX (Les Votres) ont cette propriete DXF : (210 0.0 0.0 -1.0)
En fait une direction d'extrusion par rapport au SCU "bizarre"
Direction d'extrusion par rapport au SCU: X = 0.0000 , Y = 0.0000 , Z = -1.0000

Donc dans votre DWG, vous copiez/collez en Ligne de commande cela:
(ssget "_X" (list (cons 0 "INSERT") (cons 210 (list 0.0 0.0 -1.0))))
<Entree>

A ce moment TOUS les Blocs du DWG "avec le probleme" sont selectionnes !
Et ils sont dans le jeu de selection PRECEDENT ...

SVP ne faites AUCUNE autre selection ! Sinon !!

Donc si vous faites un CHPROP <Entree>
P <Entree>
Par exemple vous pourrez les changer de Calque ou FORCER la couleur ...
Ou un EFFACER <Entree>
P <Entree> ... Ce sera "le grand nettoyage" ...
Autodesk Expert Elite Team
0

#10 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 107
  • Inscrit(e) : 04-novembre 05

Posté 25 janvier 2021 - 16:03

Voir le messagelecrabe, le 25 janvier 2021 - 13:53 , dit :


En fait une direction d'extrusion par rapport au SCU "bizarre"


Toi aussi tu as trouvé ça bizarre !

Pour info,
voilà comment c'est arrivé:
réponse GRDF au DICT,
alignement des pdf par 2 points, mais l'accrochage z était activé ... légère inclinaison du PDF
(je suis surpris, je croyais qu'il fallait lancer align3d pour que le z soit pris en compte)
Conversion PDF > entité dessin
on ne voit rien de choquant.
export dxf pour implantation au GPS:
là on s'aperçoit sur le contrôleur du GPS de l'écart, car le gps supprime l'élévation, donc la polyligne se déplace.
heureusement l'écart était gros, sinon on ne s'en serait pas rendus compte ...
a+
gégé
----------------------------------------------------------------------
Site: https://www.g-eaux.fr
Blog: http://g-eaux.over-blog.com
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)